Contents

# Mathematical Functions

kuni beehaachi Shallagote calc assiishshubba amadino. assiishshu kaa'laacho fanate, choose Surki - assiishshadoori.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

## SUM

Adds a set of numbers.

## SUMIF

Determines which values in a range of cells meet a specified criterion, then returns the sum of the matching values. Alternatively the function can determine which values in one range of cells meet a criterion, then return the sum of values in the corresponding cells in a second range of cells.

## Saate

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## SUMIFS

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Kiirote co'itte hornyo qolanno.

#### Syntax

ABS(Kiiro)

kiiro coitte hornyo shallagama noose kiirooti. Kiironniti coitte hornyo umise hornyo ikkite +/- malaati nookkite.

#### Example

=ABS(-56) 56 qolanno.

=ABS(12) 12 qolanno.

=ABS(0) 0 qolanno.

## ACOS

kiironnita sasi midaadu fiixoomi kosine galchamme qolanno.

#### Syntax

ACOS(Kiiro)

This function returns the inverse trigonometric cosine of Number, that is the angle (in radians) whose cosine is Number. The angle returned is between 0 and PI.

Digirrate giddo angile qolate, DEGREES assiishsha horoonsiri.

#### Example

=ACOS(-1) 3.14159265358979 (PI radiyeese)qolanno

=DEGREES(ACOS(0.5)) 60 qolanno. 60 degirra kosiine 0.5 ikkitanno.

## ACOSH

kiironnita sasi midaadu fiixoomi kosine galchamme qolanno.

#### Syntax

ACOS(Kiiro)

This function returns the inverse hyperbolic cosine of Number, that is the number whose hyperbolic cosine is Number.

Kiiro 1nni roora woy taala noose.

#### Example

=ACOSH(1) 0 qolanno.

=ACOSH(COSH(4)) 4 qolanno.

## ACOT

uyinoonni kiirora kotanjente (arkotanjente) galchamme qolanno.

#### Syntax

ACOT(Kiiro)

This function returns the inverse trigonometric cotangent of Number, that is the angle (in radians) whose cotangent is Number. The angle returned is between 0 and PI.

Digirrate giddo angile qolate, DEGREES assiishsha horoonsiri.

#### Example

=ACOT(1) 0.785398163397448 (PI/4 radiyeese qolanno).

=DEGREES(ATAN(1)) 45 qolanno. 45 degirra tanjente 1 ikkitanno.

## ACOTH

kiironnita sasi midaadu fiixoomi hayperbolike galchamme qolanno.

#### Syntax

ACOTH(Kiiro)

This function returns the inverse hyperbolic cotangent of Number, that is the number whose hyperbolic cotangent is Number.

Kiiro -1 nna 1 ledo sorote gumma lexxitino.

#### Example

=ACOTH(1.1) 1.1 hayperbolike kotangenteta, hedotenni 1.52226 galchamme qolanno.

## ASIN

kiironnita sasi midaadu fiixoomi kosine galchamme qolanno.

#### Syntax

ASIN(Kiiro)

This function returns the inverse trigonometric sine of Number, that is the angle (in radians) whose sine is Number. The angle returned is between -PI/2 and +PI/2.

Digirrate giddo angile qolate, DEGREES assiishsha horoonsiri.

#### Example

=ASIN(0) 0 returns.

=ATAN(1) 0.785398163397448 (PI/4 radiyeese qolanno).

=DEGREES(ASIN(0.5)) 30 qolanno. 30 degirra siine 0.5 ikkitanno.

## ASINH

kiironnita sasi midaadu fiixoomi siine galchamme qolanno.

#### Syntax

ASINH(Kiiro)

This function returns the inverse hyperbolic sine of Number, that is the number whose hyperbolic sine is Number.

#### Example

=ASINH(-90) hedotenni -5.1929877 qolanno.

=ASINH(SINH(4)) 4 qolanno.

## ATAN

kiironnita sasi midaadu fiixoomi tanjente galchamme qolanno.

#### Syntax

ATAN(Kiiro)

This function returns the inverse trigonometric tangent of Number, that is the angle (in radians) whose tangent is Number. The angle returned is between -PI/2 and PI/2.

Digirrate giddo angile qolate, DEGREES assiishsha horoonsiri.

#### Example

=ATAN(1) 0.785398163397448 (PI/4 radiyeese qolanno).

=DEGREES(ATAN(1)) 45 qolanno. 45 degirra tanjente 1 ikkitanno.

## ATAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

#### Syntax

ATAN2(NumberX; NumberY)

NumberX is the value of the x coordinate.

KiiroY y xaaddimmo hornyooti.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

#### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

## ATANH

kiironnita sasi midaadu fiixoomi tanjente galchamme qolanno.

#### Syntax

ATANH(Kiiro)

This function returns the inverse hyperbolic tangent of Number, that is the number whose hyperbolic tangent is Number.

Kiiro ikkito -1 < number < 1 hajajama noose.

#### Example

=ATANH(0) 0 qolanno.

## COMBIN

miillate marro higa nookihaxaadooshshuwate kiiro qolanno.

#### Syntax

COMBIN(Kiiro1; Kiiro2)

Kiiro1 gambooshshu giddo uduunnu kiirooti.

Kiiro2 gambooshshu giddonni doorroonni uduunni kiirooti.

COMBIN hakuri uduunne doorate aantino doogganni shiqqino kiiro qolanno. Lawishshaho 3 uduunni A, B and C gambooshshu giddo heeriro, 2 uduuunne 3 addi addi doogganni, AB, AC nna BC doora dandaatto.

COMBIN Kiiro1!/(Kiiro2!*(Kiiro1-Kiiro2)!) afirimala: loosu aana hosiisanno

#### Example

=COMBIN(3;2) 3. qolanno.

## COMBINA

kiirrate marro higino xaadooshshuwate udunnichunniwa cinaancho gambooshshe qolanno.

#### Syntax

COMBIN(Kiiro1; Kiiro2)

Kiiro1 gambooshshu giddo uduunnu kiirooti.

Kiiro2 gambooshshu giddonni doorroonni uduunni kiirooti.

COMBINA uduunne doorate addi doogga kiiro qolanno, uduunnunniti taalo aante ikkinokki dargi, nna marro higa fajjantino. Lawishshaho 3 uduunni A, B and C gambooshshu giddo heeriro, 2 uduuunne 6 addi addi doogganni,AA AB, AC, BB, BC nna CC doora dandaatto.

COMBINA (kiiro1+kiiro2-1)! / (kiiro2!(kiiro1-1)!) afirimala loosu aana hosiisanno

#### Example

=COMBINA(3;2) 6 qolanno.

## CONVERT_OOO

Converts to euros a currency value expressed in one of the legacy currencies of 19 member states of the Eurozone, and vice versa. The conversion uses the fixed exchange rates at which the legacy currencies entered the euro.

We recommend using the more flexible EUROCONVERT function for converting between these currencies. CONVERT_OOO is not a standardized function and is not portable.

#### Syntax

CONVERT_OOO(Value; "Text1"; "Text2")

Value is the amount of the currency to be converted.

Text1 is a three-character string that specifies the currency to be converted from.

Text2 is a three-character string that specifies the currency to be converted to.

Text1 and Text2 must each take one of the following values: "ATS", "BEF", "CYP", "DEM", "EEK", "ESP", "EUR", "FIM", "FRF", "GRD", "IEP", "ITL", "LTL", "LUF", "LVL", "MTL", "NLG", "PTE", "SIT", and "SKK".

One, and only one, of Text1 or Text2 must be equal to "EUR".

#### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the euro value of 100 Austrian schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 euros into German marks.

Refer to the CONVERT_OOO wiki page for more details about this function.

## COS

amantino angile (radiyeesete giddo)kosiine qolanno.

#### Syntax

COS(Kiiro)

Konne (Sasi midaadu fiixoomi) siine Kiiro, radiyeesete angile giddo qolanno.

Digirrate giddo angilete kosiine qolate, RADIANS assiishsha horoonsiri.

#### Example

=COS(PI()/2) 0 qolate, kosiine PI/2 radiyeeseeti.

=COS(RADIANS(60)) 0.5 qolanno, kosiine 60 digirraati.

## COSH

kiironnita sasi midaadu fiixoomi kosine galchamme qolanno.

#### Syntax

COSH(Kiiro)

Kiironnita hayperbolike kosiine qolanno.

#### Example

=COSH(0) hayperbolikete cosiine 0 ikkituro, 1 qolanno.

## COT

amantino angile (radiyeesete giddo)kotanjente qolanno.

#### Syntax

COT(Kiiro)

(Sasi midaadu fiixoomi) tanjente Kiiro, radiyeesete angile giddo.

Digirrate giddo angilete kotanjente qolate, RADIANS assiishsha horoonsiri.

Angilete tanjentera beehame 1 ledo taaliro kontanjente angileeti.

### Lawishshuwa:

=COT(PI()/4) 1 qolate, kotanjente PI/4 radiyeeseeti.

=COT(RADIANS(45)) 1, qolanno, kotanjente 45 digirraati.

## COTH

aamantino kiirota (angileta)sasi midaadu fiixoomi kotanjente qolanno.

#### Syntax

COTH(Kiiro)

Kiironnita hayperbolike kotanjente qolanno.

#### Example

=COTH(1) 1 hayperbolike kotangenteta, hedotenni 1.3130. galchamme qolanno.

## CSC

aamantino angileta kosikaante angile(radiyeesete giddo). Angilenniti kosikaante beehame 1 ledo taaliro siinete angileeti

This function is available since LibreOffice 3.5.

#### Syntax

CSC(kiiro)

Konne (Sasi midaadu fiixoomi) siine Kiiro, radiyeesete angile giddo qolanno.

Digirrate giddo angilete koosikaante qolate, RADIANS assiishsha horoonsiri.

#### Example

=CSC(PI()/4) hedotenni 1.4142135624, siinetePI/4 radyeese galchamme qolanno.

=COS(RADIANS(30)) 2 qolanno, koskaantenniha 30 digirraati.

## CSCH

kiironnita sasi midaadu fiixoomi koskaantete qolanno.

This function is available since LibreOffice 3.5.

#### Syntax

CSCH(kiiro)

Kiironnita hayperbolike koskaante qolanno.

#### Example

=CSCH(1) hedotenni 0.8509181282 nna hayperbolikete kosenteha 1 qolanno.

## DEGREES

raadeese digirrate soorranno.

#### Syntax

DIGIRRA(Kiiro)

Kiiro radeesete angile ikkite digirrate soorrantannote.

#### Example

=DDIGIRRA(PI()) 180 digirrara qolanno.

## EUROCONVERT

Converts between old European national currency and to and from Euros.

#### Syntax

EUROCONVERT(Value; "From_currency"; "To_currency" [; full_precision [; triangulation_precision]])

Hornyu soorramanno womaashshi bikkaati.

womaashshuwiinni nna womaashshaho womaashsha kawinninna ka'iinni aantensa garinni soorranno. Hakurino borro ikka noonsa, afaminowomaashsha qaalu eronni (lawishshaho, "EUR"). Bikkuwa Euro waaxotenni leellisha)Awurooppu komishiinenni qiniino.

wo'ma addimma doorshaho. Hawamiro woy kapho ikkiro, womaashshaho tonnishshu garinni gumu dowaanno. Wo'ma addimma ikkiro halaaleho, gumuno didowanno.

sasi midaadimmate_addimman doorshaho. Sasi midaadimmate_addimma aamanturo nna >=3, sasi midaadu soorramme karsamme gumi (womaashsha1,EUR,womaashsha2) hatte addimmara dowaanno. Sasi midaadimmate_addimma hawantuha ikkro, karsamino gumi didowaanno. "EUR"womaashshira ikkro, Sasi midaadimmate_addimma sasi midaadimmahasiissinotanna EUR nni EURsoorrate gede kaa'lanno.

### Lawishshuwa

=EUROCONVERT(100;"ATS";"EUR") 100 Awusitiraaliyu shilinguwa Eurora soorranno.

=EUROCONVERT(100;"EUR";"DEM") 100 Awusitiraaliyu shilinguwa Germanete maarkera soorranno.

## EVEN

Pooseetiive kiiro alinni aantanno wo'ma intigerewanna negeetiive kiiro worora aantanno wo'ma intigerewa doyissanno.

#### Syntax

Wo'ma(Kiiro)

Returns Number rounded to the next even integer up, away from zero.

#### Example

=Wo'ma(2.3) 4 qolanno.

=Wo'ma(2) 2 qolanno.

=Wo'ma(0) 0. qolanno.

=INT(-0.5) -2 qolanno.

## EXP

Returns e raised to the power of a number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

EXP(Kiiro)

Kiiro e ka'anno gede assitanno wolqaati.

#### Example

=EXP(1) returns 2.71828182845904, the mathematical constant e to Calc's accuracy.

## FACT

Returns the factorial of a non-negative integer.

#### Syntax

FACT(Integer)

Returns Integer!, the factorial of Integer, calculated as 1*2*3*4* ... * Integer.

Returns the "invalid argument" error if the argument is negative integer.

Returns the #VALUE! error if the argument is greater than 170, cause too large integer (approximately 7E+306.

=FACT(0) returns 1 by definition.

If the argument is a non-integer number, it is converted to its floor integer value.

#### Example

=FACT(3) 6 qolanno.

=FACT(3.8) returns 6.

=FACT(0) 1 qolanno.

## GCD

Lame woy roortino intigereha jawiidi gutu beehaancho qolanno.

Jawiidi gutu beehaanchi hala'lado pooseetiive intigere ikke duuchante aamantino intigerera gatiweelo beehantannote.

#### Syntax

GCD(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1; Integer 2; … ; Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=GCD(16;32;24) guma 8 aanno, korkaatuno 8 jawiidi kiiro ikkite 16, 24 nna 32 gatiweelo beekkanno.

=GCD(B1:B3) B1, B2, B3 bisiccuwa 9amaddino, 12, 9 3 uyitanno.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

GCD_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=GCD_EXCEL2003(5;15;25) returns 5.

## INT

kiiro worora multanno intigerewa doyisanno.

#### Syntax

INT(Kiiro)

Multanno intigerewa doyyitino kiiro qolanno.

Negaatiive kiirraintigerete woroonni worora doyisanno.

#### Example

=INT(5.7) 5 qolanno.

=INT(-1.3) -2 qolanno.

## LCM

Mitte woy roortino intigereha shiinqiidi gutu batishsha qolanno.

#### Syntax

LCM(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1; Integer 2; … ; Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 512; 1024 and 2000 as Integer 1;2 and 3, then 128000 will be returned.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

LCM_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Returns the natural logarithm based on the sorrantannokki e kiiro kaiminnikalaqamu shallago qolanno. sorrantannokki ehedotenni 2.71828182845904 hornyo afidhino.

#### Syntax

LN(Kiiro)

Kiiro hornyo ikkite kalaqamu kiiro shallagama dandaa noose.

#### Example

=LN(3) kalaqamu shallago 3 (hedotenni 1.0986)qolanno.

=LN(EXP(321)) 321 qolanno.

## LOG

baxxino kaimi kiirote shallagoqolanno.

#### Syntax

LOG(Number [; Base])

Kiiro hornyo ikkite shallagose shallagama dandaa noose.

Kaima (doorshu) shallagote shallagamme kaimaati. Hawamiha ikkiro, kaima 10 hedamanno.

#### Example

=LOG(10;3) shallagote 10 (hedotenni 2.0959) kaima 3 qolanno.

=LOG(7^4;7) 4 qolanno.

## LOG10

kiirote kaima-10 shallago qolanno.

#### Syntax

LOG10(Kiiro)

Shallago kaima-10 Kiiroraqolanno.

#### Example

=LOG10(5) shallagote -10 (hedotenni 0.69897) kaima 5 qolanno.

## MOD

mitte intigere wolete bbeehantanno wote gato qolanno.

#### Syntax

MOD(Beehamaancho; Beehaancho)

For integer arguments this function returns Dividend modulo Divisor, that is the remainder when Dividend is divided by Divisor.

Kuni assiishshi beehamaanchu - Beehaanchu * INT(Beehamaanchu/Beehaanchu) gede loosamanno , nna kuni afirimali tidhuwa intigere ikka hoogguro guma aanno.

#### Example

=MOD(22;3) 1 qolanno, 22 beehamiro 3.

=MOD(11.25;2.5) 1.25 qolanno.

## MROUND

kiiro gamba yiino batishshinni wolete doytinota qolanno.

#### Syntax

MROUND(Kiiro; Batishsha)

Returns Number rounded to the nearest multiple of Multiple.

Doorshu loosi batishsha * ROUND(kiiro/Batishsha)ikka noosi.

#### Example

=MROUND(15.5;3) 15, 15.5 18 (= 3*6) roore 15 (= 3*5) shiqanno gede qolanno.

=MROUND(1.4;0.5) 1.5 (= 0.5*3)qolanno.

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

#### Syntax

MULTINOMIAL(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=Batinye malaatta(F11:H11) 1260 qolanno, F11 to H11 2 hornyuwa amadiro, 3 nna 4. kuni =(2+3+4)! / (2!*3!*4!) afirimalira xaadisanno

## ODD

Pooseetiive kiiro alinni aantanno xea intigerewanna negeetiive kiiro worora aantanno xea intigerewa doyissanno.

#### Syntax

ODD(Kiiro)

Returns Number rounded to the next odd integer up, away from zero.

#### Example

=ODD(1.2) 3 qolanno.

=ODD(1) 1 qolanno.

=ODD(0) 1 qolanno.

=ODD(-3.1) -5 qolanno.

## PI

3.14159265358979 qolanno, Shallagote hornyi sorrantannokki PI 14 geeshsha tonnishshu darguwaati.

#### Syntax

PI()

#### Example

=PI() 3.14159265358979 qolanno.

## POWER

wole kiirora kaino kiiro qolanno.

#### Syntax

POWER(Kaima; Hirre)

Kaimu wolqate Hirrewakainoha qolanno.

The same result may be achieved by using the exponentiation operator ^: Base^Exponent

=POWER(0,0) returns 1; =POWER(0,X) reports the #NUM! error when exponent X is negative.

=POWER(B,X) may or may not report a #NUM! error when B is negative and X is not an integer.

#### Example

=POWER(4;3) returns 64, which is 4 to the power of 3.

=4^3 also returns 4 to the power of 3.

=POWER(2;-3) returns 0.125.

=POWER(-2;1/3) returns -1.25992104989487.

=POWER(-2;2/3) returns the #NUM! error.

## PRODUCT

Tidhote gede uyinoonni baala kiiro batisanno nna guma qolanno.

#### Syntax

PRODUCT(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=PRODUCT(2;3;4) 24 qolanno.

## QUOTIENT

beehate loosammehaintijerete kifile qolanno.

#### Syntax

QUOTIENT(Woshaancho; kiiraancho)

Returns Intigerete kifile ikkinoha Woshshaanchu kiiraanchoho beehamanno.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

#### Example

=Qeechu(11;3) 3 qolanno. Gato 2 baino.

## RADIANS

digirra raadeesete soorranno.

#### Syntax

RADIANS(Kiiro)

Kiiro digirrate giddo angile ikkite raadiyeesete sorrantannote.

#### Example

=Radiyeese(90) 1.5707963267949, hakkuno PI/2 calc halaalimmara qolanno.

## RAND

0 nna 1 mereero noo hedeweelcho kiiro qolanno.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RAND()

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

To generate random numbers which never recalculate, either:

- Copy cells each containing =RAND(), and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

- Use the Fill Cell command with random numbers (Sheet - Fill Cells - Fill Random Numbers).

- Use the RAND.NV() function for non-volatile random numbers.

#### Example

=RAND() 0 nna 1 mereero noo hedeweelcho kiiro qolanno.

## RAND.NV

Returns a non-volatile random number between 0 and 1.

#### Syntax

RAND.NV()

This function produces a non-volatile random number on input. A non-volatile function is not recalculated at new input events. The function does not recalculate when pressing F9, except when the cursor is on the cell containing the function or using the Recalculate Hard command (Shift+Command Ctrl+F9). The function is recalculated when opening the file.

#### Example

=RAND.NV() returns a non-volatile random number between 0 and 1.

#### Technical information

This function is available since LibreOffice 7.0.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RAND.NV

## RANDBETWEEN

baxxino hakka geeshshi giddo intigerete hedeweelcho kiiro qolanno.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RANDBETWEEN(hundanni; sammote)

Intigerete hedeweelcho kiiro mereero intigerra hundaanni nna Sammote (lamenka amadanno).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Shallagantannokki hedeweelcho kiirra kalaqate, konne assiishsha amaddino bisiccuwa hinkiili, nna use Muccisi - xalli addi (ledonna Paste All and afirimalubba malaatisantinokkita nna kiirra malaatisantino)horoonsiri.

#### Example

=RANDBETWEEN(20;30) 20 nna 30 mereero noo intijere qolanno.

## RANDBETWEEN.NV

Returns an non-volatile integer random number in a specified range.

#### Syntax

RANDBETWEEN.NV(Bottom; Top)

Returns an non-volatile integer random number between integers Bottom and Top (both inclusive). A non-volatile function is not recalculated at new input events or pressing F9. However, the function is recalculated when pressing F9 with the cursor on the cell containing the function, when opening the file, when using the Recalculate Hard command (Shift+Command Ctrl+F9) and when Top or Bottom are recalculated.

#### Example

=RANDBETWEEN.NV(20;30) returns a non-volatile integer between 20 and 30.

=RANDBETWEEN.NV(A1;30) returns a non-volatile integer between the value of cell A1 and 30. The function is recalculated when the contents of cell A1 change.

#### Technical information

This function is available since LibreOffice 7.0.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RANDBETWEEN.NV

## ROUND

kiiro boode kiiro tonnishshu darguwara doyiissanno.

#### Syntax

ROUND(Number [; Count])

Tenne Kiirote dowa kiira tonnishshu darguwara qolanno. Kiira hawanturo woy zeero ikkituro, asiishshu muli intigerewa dowaanno. Kiira negaatiive ikkituro, assiishshu muli 10, 100, 1000, etc dowaanno.

Kuni assiishshi muli kiirowa dowaanno. Dorshuwanniha ROUNDDOWN nna ROUNDUP lai.

#### Example

=doyicho(2.348;2) 2.35 qolanno

=Dowa(-32.4834;3) -32.483 qolanno. Bisiccote suudishshabaala tonnishuwa la"te soorranno.

=Doyiicho(2.348;0) 2 qolanno.

=Doyicho(2.5) 3 qolanno.

=Doyicho(987.65;-2) 1000 qolanno.

## ROUNDDOWN

Truncates a number while keeping a specified number of decimal digits.

## ROUNDUP

kiiro alira, zeeronniwi fafisa, boode addimmara doyisanno.

#### Syntax

ROUNDUP(Number [; Count])

Tenne Kiirote Aleege dowa (zeeronniwi fafa) kiira tonnishshu darguwara qolanno. Kiira hawanturo woy zeero ikkituro, asiishshu alira intigerenniwa dowaanno. Kiira negaatiive ikkituro, assiishshu alira aantanno 10, 100, 1000, etc dowaanno.

Kuni assiishshi zeeronniwi fafe dowaanno. Doorshunniha ROUNDDOWN and ROUND lai.

#### Example

=Aleege dowa(1.1111;2) 1.12 qolanno.

=Aleege dowa(1.2345;1) 1.3 qolanno.

=Aleege dowa(45.67;0) 46 qolanno.

=Aleege dowa(45.67) -46 qolanno.

=Aleege dowa(987.65;-2) 1000 qolanno.

## SEC

aamantino angileta sekaante angile(radiyeesete giddo). Angilenniti kosikaante beehame 1 ledo taaliro kosiinete angileeti

This function is available since LibreOffice 3.5.

#### Syntax

SEC(Kiiro)

Konne (Sasi midaadu fiixoomi) siine Kiiro, radiyeesete angile giddo qolanno.

Digirrate giddo angilete sekaante qolate, RADIANS assiishsha horoonsiri.

#### Example

=CSC(PI()/4) hedotenni 1.4142135624, kosiinete PI/4 radyeese galchamme qolanno.

=SEC(RADIANS(60)) 2 qolanno, sekantenniha 60 digirraati.

## SECH

kiironnita sasi midaadu fiixoomi sekaante qolanno.

This function is available since LibreOffice 3.5.

#### Syntax

SECH(Kiiro)

Hayperbolike sekaante kiiroqolanno.

#### Example

=SECH(0) hayperbolikete sekaante 0 ikkituro, 1 qolanno.

## SERIESSUM

Ledubba wolqate aantera umi yannaati.

SERIESSUM(x;n;m;c) = c1xn + c2xn+m + c3xn+2m + ... + cixn + (i-1)m.

#### Syntax

SERIESSUM(X; N; M; xaadooshshuwa)

X wolqate aantera giddo hornyaati.

N hanafote wolqaati

M N ledate lendoonniho

xaadooshuwa xaadooshshuwate aanteeti. Mitte mittente xaadira aantete ledo mitte kifilenni hala'litanno.

#### Example

=SERIESSUM(A1; 0; 1; {1; 2; 3}) calculates the value of 1+2x+3x2, where x is the value in cell A1. If A1 contains 1, the formula returns 6; if A1 contains 2, the formula returns 17; if A1 contains 3, the formula returns 34; and so on.

Refer to the SERIESSUM wiki page for more details about this function.

## SIGN

Kiirote malaate qolanno. Kiiro negaatiive ikkituro 1 qolanno, -1 negaative ikkironna 0 zeero ikkiro.

#### Syntax

SIGN(Kiiro)

Kiiro malaatise gumulamino kiirooti.

#### Example

=malaate(3.4) 1 qolanno.

=malaate(-4.5) -1 qolanno.

## SIN

amantino angile (radiyeesete giddo)siine qolanno.

#### Syntax

SIN(Kiiro)

Konne (Sasi midaadu fiixoomi) siine Kiiro, radiyeesete angile giddo qolanno.

Digirrate giddo angilete siine qolate, RADIANS assiishsha horoonsiri.

#### Example

=SIN(PI()/2) 1 qolate, siine PI/2 radiyeeseeti.

=SIN(RADIANS(30)) 0.5 qolanno, siine 30 digirraati.

## SINH

kiironnita sasi midaadu fiixoomi siine qolanno.

#### Syntax

SINH(Kiiro)

Hayperbolike siine kiiroqolanno.

#### Example

=SINH(0) hayperbolikete siine 0 ikkituro, 0 qolanno.

## SQRT

kiironnita pooseetiive kiirote wolqa hunda qolanno.

#### Syntax

SQRT(Kiiro)

Poseetiive kiirote wolqa hunda Kiiroraqolanno.

Kiiro poseetiive ikka noose.

#### Example

=SQRT(16) 4 qolanno.

=SQRT(-16) horoweello tidhibba so'ro qolanno.

gumma

## SQRTPI

kiirote wolqa hunda (PI hige kiiro)qolanno.

#### Syntax

SQRTPI(Kiiro)

Poseetiive kiirote wolqa hunda (PI batisantannota Kiirora)qolanno. batisantannota) qolanno.

Kuni SQRT(PI()*kiiro)taalanno.

#### Example

=SQRTPI(2) (2PI)kiirote wolqa hundaqolanno, hedotenni 2.506628 ikkanno.

## SUBTOTAL

cinaancho xaphooma shallagi. Hakka geeshshi cinaancho xaphooma amadinoha ikkiro, ledote shallagubba dihasiissanno. Konne assiishsha AutoFilters ledo kiirrate giddora meemiissamino maareekkota callamassate horoonsiri.

#### Syntax

SUBTOTAL(Assiishsha; Hakka geeshsha)

Assiishshu aantanno assiishshubba giddo mittu assiishshi kiirooti:

Assiishshu mashalaqisaancho (includes hidden values) | Function index (ignores hidden values) | Assiishsha
--- | --- | ---
1 | 101 | AVERAGE
2 | 102 | COUNT
3 | 103 | COUNTA
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUCT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUM
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Hakka geeshshi bisiccuwa amaddino hakka geeshshaati.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students.

| A | B
--- | --- | ---
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

Let's say one row is manually hidden, then the first formula shows the sum of the 5 figures filtered; the second, only the sum of the 4 figures displayed.

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## SUMSQ

Calculates the sum of the squares of a set of numbers.

#### Syntax

SUMSQ(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 2; 3 and 4 in the Number 1; 2 and 3 arguments, 29 is returned as the result.

## TAN

amantino angile (radiyeesete giddo)tanjente qolanno.

#### Syntax

TAN(Kiiro)

(Sasi midaadu fiixoomi) tanjente Kiiro, radiyeesete angile giddo.

Digirrate giddo angilete tanjente qolate, RADIANS assiishsha horoonsiri.

#### Example

=TAN(PI()/4) 1 qolate, tanjente PI/4 radiyeeseeti.

=TAN(RADIANS(45)) 1, qolanno,tanjente 45 digirraati.

## TANH

kiironnita hayperbolike tanjente qolanno.

#### Syntax

TANH(Kiiro)

Hayperbolike tanjente kiiroqolanno.

#### Example

=TANH(0) hayperbolikete tanjente 0 ikkituro, 0 qolanno.

## TRUNC

Truncates a number while keeping a specified number of decimal digits.

Fiixoo'mino umo

Functions by Category

Please support us!